Bug 13895 - run_proc can lose output due to a race between fd and signal events
run_proc can lose output due to a race between fd and signal events
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.6
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-12 06:53 UTC by Martin Schwenke
Modified: 2019-04-16 07:10 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 and 4.10 (1.72 KB, patch)
2019-04-13 02:00 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-04-12 06:53:34 UTC
When run_proc is used to run external processes, output can be lost when SIGCHILD is handled and there is still output pending.
Comment 1 Martin Schwenke 2019-04-13 02:00:02 UTC
Created attachment 15058 [details]
Patch for 4.9 and 4.10
Comment 2 Amitay Isaacs 2019-04-15 07:24:12 UTC
Hi Karolin,

This is ready for v4-9 and v4-10.

Thanks.
Comment 3 Karolin Seeger 2019-04-15 07:32:42 UTC
(In reply to Amitay Isaacs from comment #2)
Pushed to autobuild-v4-{10,9}-test.
Comment 4 Karolin Seeger 2019-04-16 07:10:43 UTC
Pushed to both branches.
Closing out bug report.

Thanks!